#pragma once

/* Enums. */
typedef enum RadarShape_ {
  RADAR_RECT,   /**< Rectangular radar. */
  RADAR_CIRCLE  /**< Circular radar. */
} RadarShape;   /**< Plaers radar shape. */

extern double gui_xoff; /**< GUI X center offset. */
extern double gui_yoff; /**< GUI Y center offset. */

/* Loading/cleaning up. */
int gui_init(void);
void gui_free(void);
int gui_load(const char* name);
void gui_cleanup(void);

/* Render. */
void gui_renderBG(double dt);
void gui_renderTarget(double dt);
void gui_render(double dt);

/* Misc. */
void gui_setDefaults(void);
void player_message(const char* fmt, ...);
void gui_setRadarRel(int mod);

