#pragma once
#include <SDL/SDL.h>

#define KMOD_ALL 0xffff /**< Comfort thing SDL is lacking. */

/* Input types. */
typedef enum {
  KEYBIND_NULL,       /**< Null keybinding. */
  KEYBIND_KEYBOARD,   /**< Keyboard keybinding. */
  KEYBIND_JAXISPOS,   /**< Joystick axis positive side keybinding. */
  KEYBIND_JAXISNEG,   /**< Joystick axis negative side keybinding. */
  KEYBIND_JBUTTON
} KeybindType;

/* Set input. */
void input_setDefault(void);
SDLKey input_keyConv(char* name);
void input_setKeybind(char* keybind, KeybindType type, int key, SDLMod mod);
SDLKey input_getKeybind(const char* keybind, KeybindType* type, SDLMod* mod);
const char* input_getKeybindDescription(char* keybind);

/* Handle the events. */
void input_handle(SDL_Event* event);

/* Init/Exit. */
void input_init(void);
void input_exit(void);

